QGIS Application - Bug report #13268
Selecting features of field name with a leading digit
2015-08-26 06:05 AM - Gert Sterenborg

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.10.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21329
Description

For a python script | use [feature.id() for feature in layer.getFeatures(QgsFeatureRequest().setFilterExpression("8_1 IS NOT NULL"))] to
get all feature id's that are not null. But it won't find any. While using the expression "8 IS NOT NULL" it will find the first feature starting
with an 8. This problem does not occur when changing the layer name to for example A8_1, in that case the expression: "8_1 IS NOT
NULL" works.

So | think this has to do something with using leading digits in field names.

History

#1 - 2015-08-26 06:10 AM - Gert Sterenborg

typo:

This problem does not occur when changing the layer name to for example A8_1, in that case the expression: " A8_1 IS NOT NULL" works.

#2 - 2015-08-26 06:27 AM - Jiirgen Fischer

Gert Sterenborg wrote:

typo:
This problem does not occur when changing the layer name to for example A8_1, in that case the expression: " A8_1 IS NOT NULL" works.

Try quoting: "8_1" IS NOT NULL

#3 - 2015-08-26 06:28 AM - Jiirgen Fischer

- Status changed from Open to Feedback

#4 - 2015-08-26 06:49 AM - Gert Sterenborg

Jurgen Fischer wrote:

Gert Sterenborg wrote:

typo:
This problem does not occur when changing the layer name to for example A8_1, in that case the expression: " A8 _1 IS NOT NULL" works.

Try quoting: "8 1" IS NOT NULL
You are right, "8_1"1S NOT NULL' works

#5 - 2015-08-27 12:01 AM - Gert Sterenborg
- Status changed from Feedback to Closed
